commit d288ac9675684fe6fd0e8536a2255b8d341a8ad5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 1 21:44:58 2020 +0200

    Poppler 20.10.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 9 +++++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 4 files changed, 13 insertions(+), 4 deletions(-)

commit 386555257158e1d170151b40dcea6bc90111e62f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 1 10:35:10 2020 +0200

    CI: qt6: new tarballs

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cfeb9525f0f9e4124de4b3d67de2f4667095366f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:21:53 2020 +0200

    Fix undefined behaviour null pointer passed as argument 2, which is
    declared to never be null

    Fixes issue #962

 poppler/Decrypt.cc | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 2a3368e9c3c8b9a0031faef15041a8ca81f6710a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:17:24 2020 +0200

    Fix undefined behaviour applying non-zero offset 1 to null pointer

    Fixes issue #963

 poppler/GfxFont.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 613d5f2a7b18e332896ea7829166ce9ce3234ab4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:36:41 2020 +0200

    CI: Update qt6

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 636d12b0f403d462af3652e4ebfd62d9fc7c58a8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 18 01:26:40 2020 +0200

    Fix compilation with new Qt6 snaptshot

 qt6/demos/viewer.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8fd2a2781e3aaf798a4c28f450d778b57ae2b0b8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 18 00:54:36 2020 +0200

    CI: Update qt6 url again

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit eb7940e737633c17696aec78ecad92048d6163e5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 16 00:04:01 2020 +0200

    Filter out repeated forms

    Some files like the one from KDE bug 426467 has the same signature
    repeated 23 times in the Fields field, just return it one

 poppler/Form.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 56cf80b2c53fa61d29b4718df092248a062c61e0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 22:56:15 2020 +0200

    Update (C)

 poppler/Stream.cc | 2 +-
 poppler/Stream.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 12303bbdcc0cc72c6ff641140856f2c1f51041b8
Author: William Bader <william@newspapersystems.com>
Date:   Sun Sep 13 05:22:19 2020 +0100

    Improve EmbedStream::reset error checking.

 poppler/Stream.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit e2ecddf3fc1f93a68b0ae535813f8b0d5ec672b5
Author: William Bader <william@newspapersystems.com>
Date:   Sun Sep 13 04:52:45 2020 +0100

    Implement EmbedStream::reset() to fix pdftops -level1sep
    -optimizecolorspace for in-line images.

 poppler/Stream.cc | 17 ++++++++++++++++-
 poppler/Stream.h  |  3 ++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 91d95545b48d3aec6220d943177b571466f9a116
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 8 13:04:51 2020 +0200

    CI: update qt6 links

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit bb4d6c963e885aac34a1266bdb9d8371e80b3b27
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 5 22:02:00 2020 +0200

    Update (C)

 splash/SplashPath.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c47713528f770ac89c90d662aae72c7e48c9497b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 5 21:26:37 2020 +0200

    addStrokeAdjustHint(): fix crash in out-of-memory situation.

    Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=25411

        #0 0xf7ef8f19 in [vdso]
        #1 0xf7ccdd08 in gsignal (/lib32/libc.so.6+0x2bd08)
        #2 0xf7ccf206 in abort (/lib32/libc.so.6+0x2d206)
        #3 0xbdb9c2e in grealloc(void*, unsigned int, bool)
        gdal/poppler/goo/gmem.h:85:5
        #4 0xbdd9e11 in greallocn(void*, int, int, bool, bool)
        gdal/poppler/goo/gmem.h:171:12
        #5 0xc012373 in SplashPath::addStrokeAdjustHint(int, int, int,
        int) gdal/poppler/splash/SplashPath.cc:211:35
        #6 0xbfd156f in Splash::makeStrokePath(SplashPath*, double,
        bool) gdal/poppler/splash/Splash.cc:5987:34
        #7 0xbfcaec2 in Splash::strokeWide(SplashPath*, double)
        gdal/poppler/splash/Splash.cc:2028:13
        #8 0xbfc8a4d in Splash::stroke(SplashPath*)
        /src/gdal/poppler/splash/Splash.cc

    Based on patch by Even Rouault

 splash/Splash.cc     |  4 +++-
 splash/SplashPath.cc | 10 ++++++++--
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 92ebc6416ccce249a28fafda8123fe86c8aa6311
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 4 00:21:36 2020 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 1 +
 splash/Splash.h            | 1 +
 2 files changed, 2 insertions(+)

commit 6e07b84aa54d79b25d9dc882bc9f4a0479b16832
Author: Tobias Deiminger <haxtibal@posteo.de>
Date:   Wed Sep 2 18:01:08 2020 +0200

    Splash: Rename Yd to Ydown, Xu to Xup, etc.

    Minor gift to new contributors. Makes methods intention more obvious.

 splash/Splash.cc | 50 +++++++++++++++++++++++++-------------------------
 splash/Splash.h  | 18 +++++++++---------
 2 files changed, 34 insertions(+), 34 deletions(-)

commit e79cbe0adcf7d1a0dbfc4a77a096d2fbab327f39
Author: Michal <sudolskym@gmail.com>
Date:   Wed Sep 2 17:18:06 2020 +0000

    evict just font faces owned solely by cache

    These are font faces with reference count 1. Their scaled fonts
    were already evicted from cairo holdover cache. This should be more
    functionally equivalent to old behaviour except that eviction is
    done lazily and not eagerly.

 poppler/CairoFontEngine.cc | 40 +++++++++++++++++++++-------------------
 1 file changed, 21 insertions(+), 19 deletions(-)

commit 2dbd1e0ac8102ec12eb6026df6708ef7c38fc05d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 1 22:53:33 2020 +0200

    poppler 20.09.0

 CMakeLists.txt      |  2 +-
 NEWS                | 31 +++++++++++++++++++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 5 files changed, 35 insertions(+), 4 deletions(-)

commit b82d0e17fb8d26f87a51d79046364d141187bd61
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 1 22:45:32 2020 +0200

    Fix memory leak introduced in 9e853438c5e9d56c07141220f2b30d7215ee9278

    Thankfully coverity caught it before the release :)

 poppler/JBIG2Stream.cc | 1 +
 1 file changed, 1 insertion(+)

commit ee0bd54496376c18f25d1c863f583598d3ee2632
Author: Martin Packman <martin.packman@visual-meaning.com>
Date:   Sun Aug 30 22:37:48 2020 +0100

    Add gitlab checkbox point to contributors doc

    As mentioned by @aacid in merge request comments.

    Also through general note about helpful title and descriptions.

 README.contributors | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit e5e63c5b65099392e95bedc0051bfe849c7b0d85
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 30 18:37:37 2020 +0200

    Update (C)

 splash/Splash.cc | 1 +
 1 file changed, 1 insertion(+)

commit 6a7dae795d3a08497db4a680d6d15ae10df0c681
Author: Tobias Deimigner <haxtibal@posteo.de>
Date:   Fri Aug 28 19:41:18 2020 +0200

    Splash bilinear scaling: Don't try read behind end

    Source line iteration in Splash::scaleImageYuXuBilinear already tries
    to prevent a read behind source image end, as the comment indicates it
    and as it's conceptually reasonable. But the check for (currentSrcRow
    < srcHeight)
    is wrong and doesn't do what it claims.

    currentSrcRow will only ever increase to srcHeight - 1 after
    scaledHeight iterations. Therefore the check always evaluates to
    true, and src() is aways called. Intention was to prevented the line
    fetch for the last run and leave line2 identical to line1 (the
    "extra padding").

    Nothing bad happened, because SplashOutputDev::imageSrc and
    alphaImageSrc
    gracefully handle the behind-end read. Should be corrected either.

 splash/Splash.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78e6050a89d37a9d708eef92e15494d64d1a62c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 29 12:07:50 2020 +0200

    CI: Update qt6 archives

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a9fc7f0bcdcece62eda698016064a5f9e3acea24
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 29 12:30:34 2020 +0200

    qt6: workaround QTBUG-86318

 qt6/tests/stress-threads-qt6.cpp | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 418a9373616c14e67a1f9792d4039e62c3f8feb9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 29 12:12:41 2020 +0200

    qt6: Remove unused include

 qt6/src/poppler-annotation.cc | 1 -
 1 file changed, 1 deletion(-)

commit 155d7201def1e2b337e408e0c86edf9e5093853a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 27 22:03:05 2020 +0200

    Update (C)

 poppler/TextOutputDev.cc | 2 +-
 poppler/TextOutputDev.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 375809c897a66f42880b9ed522df3cb6bad6c305
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Wed Aug 26 14:18:48 2020 -0400

    TextSelectionPainter: support glyphless fonts

    in text selections, by:

     - Ignoring to draw characters with it.
     - Painting the selection's background as transparent.

    Fixes issue #157

    Based on inital work by Nelson Benitez and changed
    to be not tesseract specific by Julian Andres Klode.

 poppler/TextOutputDev.cc | 35 ++++++++++++++++++++++++++++++-----
 poppler/TextOutputDev.h  |  1 +
 2 files changed, 31 insertions(+), 5 deletions(-)

commit 55eb5c73e5fb609ba56dee28f74e53b2be28fbb7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 26 22:37:31 2020 +0200

    BaseMemStream::getChars: If we're past the end do nothing

 poppler/Stream.h | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c09f01b1be772b39b3d160ebdd6d09eac06e375d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 25 23:13:32 2020 +0200

    Update (C)

 qt5/src/poppler-private.cc | 2 +-
 qt6/src/poppler-private.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2b8692a5a52a8cd997e70f7912ad7cedeb34891b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 25 23:05:51 2020 +0200

    qt: Clean as many null characters from the end as possible

    Not only one

    Fixes KDE bug #425791

 qt5/src/poppler-private.cc  | 4 ++--
 qt5/tests/check_strings.cpp | 9 +++++++++
 qt6/src/poppler-private.cc  | 4 ++--
 qt6/tests/check_strings.cpp | 9 +++++++++
 4 files changed, 22 insertions(+), 4 deletions(-)

commit 4febe9d3ba3359005098b134e5bbe2ec434c87fd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 22:51:22 2020 +0200

    qt5: Be a bit more stubborn converting dates that come from xml

 qt5/src/poppler-annotation.cc | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 3023066f19509a8e5ced403d5afc804c4d6af238
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 22:38:43 2020 +0200

    qt5/6: Make Annotation::setModification/CreationDate work on
    existing annots

    With an autotest

    and bonus memory leak fixes for existing tests

 qt5/src/poppler-annotation.cc   | 37 ++++++++++----------
 qt5/tests/check_annotations.cpp | 75
 +++++++++++++++++++++++++++++++++++++++++
 qt6/src/poppler-annotation.cc   | 37 ++++++++++----------
 qt6/tests/check_annotations.cpp | 75
 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 190 insertions(+), 34 deletions(-)

commit 7064bb38e918edd71d72cba5544b3f3ed73253cf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 21:50:18 2020 +0200

    Fix clearing date in Annot setModified/setDate

    nullptr means nullptr not null string

 poppler/Annot.cc | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit e10b0a88bc8182710fd98a919740e349426386f4
Author: Albert Astals Cid <tsdgeos@yahoo.es>
Date:   Sat Aug 22 21:55:10 2020 +0000

    qt: MSVC test fixes

 qt5/tests/check_search.cpp         | 68
 +++++++++++++++++++-------------------
 qt5/tests/check_utf_conversion.cpp |  2 +-
 2 files changed, 35 insertions(+), 35 deletions(-)

commit 307d6db4247e3b934b5d26059fcd217517c4a187
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 22 20:01:09 2020 +0200

    Gfx::opSetExtGState: Fix memory leak on broken files

    While at it move definitions of i and funcs down where used,
    also remove
    the abuse of funcs[0] in one place and just declare a Function for it

 poppler/Gfx.cc | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit cad2f028601d8d54277ce8a7876fad3250da0d45
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 22:20:12 2020 +0200

    Update (C)

 poppler/GlobalParams.cc | 1 +
 1 file changed, 1 insertion(+)

commit dccd9dbc25560681f0b429178bc96765ce1ae70a
Author: Kai Pastor <dg0yt@darc.de>
Date:   Fri Aug 21 18:50:17 2020 +0000

    Fix #elif statement

    WITH_FONTCONFIGURATION_WIN32 is either undefined or 1.

 poppler/GlobalParams.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 171bd475f0cc2c98ccd864adf3fd73ecfd4af7cd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 19:55:32 2020 +0200

    qt6: Make inplaceAlign return an enum not an int

 qt6/src/poppler-annotation.cc | 34 +++++++++++++++++++++++++++-------
 qt6/src/poppler-annotation.h  | 11 ++++++++---
 2 files changed, 35 insertions(+), 10 deletions(-)

commit f9480192c02789e687156fd2c297980dde6461ac
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 19:44:50 2020 +0200

    qt6: Remove useless A_BASE enum value

 qt6/src/poppler-annotation.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d1bb49c3368fa2c16c43abbc800566bb2905e429
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 19:44:27 2020 +0200

    qt6: Make flags method actually return flags and not int

 qt6/src/poppler-annotation-private.h |  4 ++--
 qt6/src/poppler-annotation.cc        | 20 +++++++++++---------
 qt6/src/poppler-annotation.h         |  9 +++++----
 3 files changed, 18 insertions(+), 15 deletions(-)

commit 150e6efa0e9495ffceffbdfbff795bc9ccdf45f7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 15:32:23 2020 +0200

    qt: Document TextAnnotation::inplaceAlign

 qt5/src/poppler-annotation.h | 1 +
 qt6/src/poppler-annotation.h | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 92b3edf32a9f7a3617681135290e9d2ba0205ffb
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Wed Feb 12 19:16:20 2020 -0700

    glib: Add accessor functions for PopplerAttachment

    Issue #715

 glib/demo/annots.c                  |  2 +-
 glib/demo/attachments.c             | 21 ++++++++++-----
 glib/poppler-attachment.cc          | 52
 +++++++++++++++++++++++++++++++++++++
 glib/poppler-attachment.h           | 20 +++++++++++---
 glib/reference/poppler-sections.txt |  4 +++
 5 files changed, 87 insertions(+), 12 deletions(-)

commit b13cd962b59e65846e3a9b18eee8a8b999b0291a
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Fri Jan 3 19:05:57 2020 -0700

    glib: Deprecate PopplerDocument date properties

    PopplerDocument's creation-date and mod-date properties are 32-bit
    unix
    times, a.k.a. GTime, and will overflow in 2038. Deprecate these
    properties and replace with creation-datetime and mod-datetime, which
    are GDateTime instead, and add accessor functions.

    Fixes #765

 glib/demo/info.cc                   |  12 +--
 glib/poppler-document.cc            | 161
 +++++++++++++++++++++++++++++++++++-
 glib/poppler-document.h             |   8 ++
 glib/poppler-private.h              |   1 +
 glib/reference/poppler-sections.txt |   4 +
 5 files changed, 178 insertions(+), 8 deletions(-)

commit c146da765689968ceb09921928152d5ecd5b0956
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Fri Jan 3 18:42:21 2020 -0700

    glib: Deprecate PopplerAttachment GTime fields

    GTime was deprecated in glib 2.62 and will overflow in 2038.

    The PopplerAttachment struct publicly uses GTime for the 'mtime' and
    'ctime' fields. Deprecate these two fields and add accessor functions,
    poppler_attachment_get_ctime and poppler_attachment_get_mtime, which
    retun GDateTime* instead.

    Fixes #765, Related to #715

 glib/demo/attachments.c             | 15 ++++++-----
 glib/poppler-attachment.cc          | 52
 ++++++++++++++++++++++++++++++++-----
 glib/poppler-attachment.h           | 16 ++++++++++++
 glib/poppler-document.cc            | 36 +++++++++++++++++++++++++
 glib/poppler-private.h              |  1 +
 glib/reference/poppler-sections.txt |  2 ++
 6 files changed, 110 insertions(+), 12 deletions(-)

commit d7ead51f00e30d7f660ed5914acc26461beb057d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 19 18:34:44 2020 +0200

    Pretend Opt in Choice forms is inheritable

    The spec doesn't say it is, but Adobe Reader acts like it is,
    so emulate
    its bug (or it's a bug in the spec)

    Fixes KDE bug #425520

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11f83d58fcbd08e648a6b40c2857218fb5ee02a2
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:13:16 2020 -0400

    pdftoppm: Document that PDF-file can be - to read it from stdin

 utils/pdftoppm.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d40cb7cc2e448abb4e3a075df0f47cd8dc9cd93f
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:12:25 2020 -0400

    pdftotext: Document that PDF-file can be - to read it from stdin

 utils/pdftotext.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9f30c65b788ba13ae57cffdae8d6c24aec0244bf
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:11:22 2020 -0400

    pdfinfo: Document that PDF-file can be - to read it from stdin

 utils/pdfinfo.1 | 4 ++++
 1 file changed, 4 insertions(+)

commit 4ea3c7159b13b81d5e423adee027e57e4737006f
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:10:12 2020 -0400

    pdffonts: Document that PDF-file can be - to read it from stdin

 utils/pdffonts.1 | 4 ++++
 1 file changed, 4 insertions(+)

commit 9c181392389367715dd047feaaaaca9fecac8ada
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Tue Aug 18 01:02:57 2020 +0000

    pdfimages: Document that PDF-file can be '-' to read it from stdin

 utils/pdfimages.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 42e7905de47c514cec0aba0f0e2ceb4b5fcf5372
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Tue Aug 18 00:59:28 2020 +0000

    pdftohtml: Document that PDF-file can be '-' to read it from stdin

 utils/pdftohtml.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 66afa7bfeae4e3cddcb6a9ae7426b6ace01590c5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 11 00:14:00 2020 +0200

    Update (C)

 poppler/JArithmeticDecoder.cc | 1 +
 poppler/JArithmeticDecoder.h  | 1 +
 poppler/JBIG2Stream.cc        | 2 +-
 poppler/JBIG2Stream.h         | 2 +-
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 8c4d5da844efd1b9e99ae0304d6625170a069d4b
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Sun Aug 9 19:09:27 2020 +0200

    JBIG2: avoid potential undefined bit-wise shift

 poppler/JBIG2Stream.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 9e853438c5e9d56c07141220f2b30d7215ee9278
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Sun Aug 9 19:07:11 2020 +0200

    JBIG2: avoid abort() on large memory allocation

    Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=24772

    When numInputSyms + numNewSyms is large enough, a fatal out of memory
    allocation can occur in JArithmeticDecoderStats() constructor per

    ```
        #0 0xf7f6bf19 in [vdso]
        #1 0xf7d40d08 in gsignal (/lib32/libc.so.6+0x2bd08)
        #2 0xf7d42206 in abort (/lib32/libc.so.6+0x2d206)
        #3 0xbdc0049 in gmalloc(unsigned int, bool)
        gdal/poppler/goo/gmem.h:52:5
        #4 0xbdf3c61 in gmallocn(int, int, bool)
        gdal/poppler/goo/gmem.h:119:12
        #5 0xc1391fd in
        JArithmeticDecoderStats::JArithmeticDecoderStats(int)
        gdal/poppler/poppler/JArithmeticDecoder.cc:36:30
        #6 0xc1130d5 in JBIG2Stream::resetIntStats(int)
        gdal/poppler/poppler/JBIG2Stream.cc:4052:25
        #7 0xc1083df in JBIG2Stream::readSymbolDictSeg(unsigned
        int, unsigned int, unsigned int*, unsigned int)
        gdal/poppler/poppler/JBIG2Stream.cc:1624:9
        #8 0xc105305 in JBIG2Stream::readSegments()
        gdal/poppler/poppler/JBIG2Stream.cc:1318:18
        #9 0xc103f5a in JBIG2Stream::reset()
        gdal/poppler/poppler/JBIG2Stream.cc:1142:5
    ```

    Avoid it and return nicely.

 poppler/JArithmeticDecoder.cc |  6 ++++--
 poppler/JArithmeticDecoder.h  |  1 +
 poppler/JBIG2Stream.cc        | 25 +++++++++++++++++++++----
 poppler/JBIG2Stream.h         |  2 +-
 4 files changed, 27 insertions(+), 7 deletions(-)

commit c063a74dd8ff9385165015b7d26f15658046b51c
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Sat Aug 8 17:47:08 2020 +0000

    Document that PDF-file can be '-' to read it from stdin

 utils/pdftops.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bc42bcaa7d56c17901e4fd333d3afd91bab8c88f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 8 19:27:24 2020 +0200

    Refine the entry type check

    Fixes KDE bug #424779

 poppler/XRef.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3c3ae490dd4c5341eb15bd3abdac293cf442263
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 3 23:58:14 2020 +0200

    Update (C)

 utils/pdftoppm.cc | 1 +
 1 file changed, 1 insertion(+)

commit eb3447e579aeeb88847196e8bee359e1e737746f
Author: Stéfan van der Walt <sjvdwalt@gmail.com>
Date:   Mon Aug 3 21:57:16 2020 +0000

    pdftoppm: report error and exit if output file cannot be written

 utils/pdftoppm.cc | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 6307b5c229d11690b8ed9d11bdaec48cb470c51e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 20:25:13 2020 +0200

    cmake: Remove stray support for lcms1 in pdftocairo

 utils/CMakeLists.txt | 3 ---
 1 file changed, 3 deletions(-)

commit 446baf49e696001305ed2d3e57c157862a780370
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 20:22:57 2020 +0200

    cmake: Modern way to link against libtiff

 CMakeLists.txt | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit bc5edcfba6ae88e989892f5d24c69d8ed719ab78
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 20:19:19 2020 +0200

    cmake: Modern way to link against zlib

 CMakeLists.txt | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 1d83bd32487fc645b7c6dba132764448eb4b0272
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 20:12:28 2020 +0200

    cmake: Modern way to link against libpng

 CMakeLists.txt | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 175370fda156c1f19072f98bdd236ee4561e4620
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 1 18:40:32 2020 +0200

    20.08.0

 CMakeLists.txt   | 13 ++++++++-----
 NEWS             | 12 ++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 4 files changed, 22 insertions(+), 7 deletions(-)

commit 3a9bfd6ef981692b391e63c32725c12817a2d08f
Author: Jean Ghali <jghali@libertysurf.fr>
Date:   Mon Jul 20 18:34:30 2020 +0200

    Fix x86 + windows asm

    It broke during the clang-reformat

 splash/SplashMath.h | 40 +++++++++++++++++++++++++++++++---------
 1 file changed, 31 insertions(+), 9 deletions(-)

commit 95adf3ed13c963b166f8fca5332dac2c1e886fdd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 18 16:26:04 2020 +0200

    Update (C)

 splash/SplashState.cc | 1 +
 1 file changed, 1 insertion(+)

commit 08b6fd0f11cb052a3674c1e91fee4a85f60d4e54
Author: Peter Wang <novalazy@gmail.com>
Date:   Thu Jul 16 11:16:03 2020 +1000

    Splash: Set initial line width to 1

    Fixes #674

    The initial value of the line width graphics state parameter in PDF
    is 1.0.

 splash/SplashState.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 39fe3635bd5bbbc15a1660dea2cbf85cb8517b6f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 16 19:14:13 2020 +0200

    Update (C)

 poppler/Gfx.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4411426325e05228c57ae05a3849443b4da16b21
Author: Thomas Freitag <thomas.freitag.bbr@gmail.com>
Date:   Thu Jul 16 16:57:27 2020 +0000

    In case of sub-page objects: initialize clip max values considering
    the render resolution

    Fixes #937

 poppler/Gfx.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit a17296083cbbaf4a954429ec9b7a3b1de0c04904
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 13 22:18:44 2020 +0200

    qt6: There's no AnnotationUtils class anymore

 qt6/src/poppler-annotation.h | 9 ---------
 1 file changed, 9 deletions(-)

commit 1a389a50a7ee6a4df02e9dee70ccd7b47e31770a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jul 8 22:23:44 2020 +0200

    GfxShading: Simplify holding the Function

    Make it be a vector of unique pointers.

    That way we don't have to worry to delete the pointers on error cases,
    they are deleted automatically.

    This actually fixes some leaks because in some cases we were deleting
    them on the error case but in some others we were not

 poppler/GfxState.cc | 228
 ++++++++++++++++++----------------------------------
 poppler/GfxState.h  |  38 ++++-----
 2 files changed, 93 insertions(+), 173 deletions(-)

commit ec8a43c8df29fdd6f1228276160898ccd9401c92
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 4 00:08:55 2020 +0200

    Fix stack overflow with specially crafted files

    The file is not malformed per se, it just has a huge XRefStm chain
    and we end up exhausting the stack space trying to parse them all.

    Having more than 4096 XRefStm seems like won't really happen on real
    life so break the flow at that point

    Fixes #936

 poppler/XRef.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 3a6c77bc21e4982619ade995564466fbc543d3ac
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 13 22:16:36 2020 +0200

    qt5: Mark AnnotationUtils as deprecated, it's gone in qt6

 qt5/src/poppler-annotation.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 31731735e1176136b4f853762a4da59e61064f80
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 13 18:40:24 2020 +0200

    Deprecated Document::toc in qt5 and remove it in qt6

    Use Document::outline instead

    Allows us to not link to QtXml anymore in qt6

 CMakeLists.txt              |  6 ++--
 qt5/src/poppler-qt5.h       |  2 +-
 qt6/src/CMakeLists.txt      |  2 +-
 qt6/src/poppler-document.cc | 17 ---------
 qt6/src/poppler-private.cc  | 87
 ---------------------------------------------
 qt6/src/poppler-private.h   |  2 --
 qt6/src/poppler-qt6.h       | 27 +-------------
 7 files changed, 6 insertions(+), 137 deletions(-)

commit 79ee55abfb58c1f3b5f2e8dc68a403908484ef43
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 11 00:52:30 2020 +0200

    0.90.1

 CMakeLists.txt   |  2 +-
 NEWS             | 12 ++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 4 files changed, 15 insertions(+), 3 deletions(-)

commit 969562d387b3791c7bc192a213e74049e08c9395
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 11 00:41:13 2020 +0200

    Fix UTF16LE support in TextStringToUCS4

    Make test a bit more complex by using a nice checkbox

    Also copy the text to the qt6 folder

 poppler/UTF.cc                     |  2 +-
 qt5/tests/check_utf_conversion.cpp | 36 ++++++++++++++++++++-----------
 qt6/tests/check_utf_conversion.cpp | 44
 +++++++++++++++++++++++++++++++++++++-
 3 files changed, 68 insertions(+), 14 deletions(-)

commit 8ee6907bd64b0eb77997ca05c2fc910d5225f4b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 10 23:09:44 2020 +0200

    Update (C)

 poppler/UTF.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a880ecd7d865a12b0f91f56285907bbb409f32f
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Thu Jul 9 01:36:24 2020 -0400

    Add test for UTF16LE string support

    Issue #941

 qt5/tests/check_utf_conversion.cpp | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 232cba307e8be35022426ba85f34198af7406899
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Thu Jul 9 01:37:20 2020 -0400

    Make TextStringToUCS4() support UTF16-LE too

    UTF16-LE strings can 'de facto' appear on pdf's
    (eg. title of Outline items) and Acrobat display
    them fine, so let's support that so we don't
    show an ugly 'ÿþ' at start of the text (Okular)
    or even no text at all (Evince).

    Issue #941

    Evince issue:
    https://gitlab.gnome.org/GNOME/evince/-/issues/1444

 poppler/UTF.cc | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit d3af7282507be3846c680a4f66b84b6b3e54853a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 10 17:14:17 2020 +0200

    qt6: Drop the AnnotationUtils functions to store/read from xml

    Basically it's undocumented API, you'd have to read this very
    same code
    to know what to expect on the XML

 qt6/src/poppler-annotation.cc | 1102
 -----------------------------------------
 qt6/src/poppler-annotation.h  |   58 ---
 2 files changed, 1160 deletions(-)

commit b2fadd0f7c5346c07181dd3730bf8d8a255f55b0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 9 00:28:48 2020 +0200

    Fix conversion to PS in locales where decimal point is ,

    The bug is only present in newer versions of lcms

 poppler/GfxState.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 2ec6bb9d0b1cfb3a1176e2b761b99c8e9d712642
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jul 8 00:52:17 2020 +0200

    CI: image tweaks

    qt5_docs can go back to debian unstable

    clazy one still needs fedora 31, on fedora 32 clazy crashes, they are
    investigating it

 .gitlab-ci.yml | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit c290052d1060dbc53b565f1a34f1375324e2a668
